MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
Nightingale Forums - extension updates for Nightingale 1.12

Nightingale Forums

Full Version: extension updates for Nightingale 1.12
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
When updating a Nightingale 1.11 profile with a number of extensions installed to Nightingale 1.12, those extensions didn't get updated. They all got disabled. The extensions are:
Last.fm
Last.fm Album Art
mashTape
Shoutcast Radio

Last.fm Album Art can be made compatible by bumping the maxVersion number. For the other ones there are compatible 'pre' versions at http://sourceforge.net/projects/ngale/fi...06/addons/. But who is supposed to find these?
The Nightingale Extensions site only offers outdated and incompatible versions of these add-ons. What's worse is that there is only a Download button, but no compatibility information at all. So it's not possible to determine if an extension will work with 1.12 or not.
It would probably help to make the 'pre' versions available on the official Extensions web site at When updating a Nightingale 1.11 profile with a number of extensions installed to Nightingale 1.12, those extensions didn't get updated. They all got disabled. The extensions are:
Last.fm
Last.fm Album Art
mashTape
Shoutcast Radio

Last.fm Album Art can be made compatible by bumping the maxVersion number. For the other ones there are compatible 'pre' versions at http://sourceforge.net/projects/ngale/fi...06/addons/. But who is supposed to find these?
The Nightingale Extensions site only offers outdated and incompatible versions of these add-ons. What's worse is that there is only a Download button, but no compatibility information at all. So it's not possible to determine if an extension will work with 1.12 or not.
It would probably help to make the 'pre' versions available on the official Extensions web site at http://wiki.getnightingale.com/doku.php?id=add-ons.
Actually the actual version of the add-ons can be found here: http://firstrun.getnightingale.com/bundl...rstrun.xml

I have already updated the link to the last.fm extension on the wiki.
We know, that add-on updating is an issue, but we have quite a lot to deal with for the amount of resources we have.
(05-02-2013, 06:14 AM)freaktechnik Wrote: [ -> ]Actually the actual version of the add-ons can be found here: http://firstrun.getnightingale.com/bundl...rstrun.xml
The extensions linked in the XML are still the pre2432 versions.

(05-02-2013, 06:14 AM)freaktechnik Wrote: [ -> ]I have already updated the link to the last.fm extension on the wiki.
Thanks. I guess it would make sense to also update the version information in the extension description in addition to the Download link.
don't let yourself irritate by the version number of the extension. All that counts is the maxVersion value, since there were hardly any API changes.
(05-02-2013, 06:01 PM)freaktechnik Wrote: [ -> ]don't let yourself irritate by the version number of the extension. All that counts is the maxVersion value, since there were hardly any API changes.

Hello!

i had some trouble to put my nightingale extensions to work exactly because of the version number. my nightingale did not update to last version (seems that's a problema not solved yet as of today) and when i checked on the addons page to manually download them, i saw that the version number for the extension was the same nightingale was listing on the addons tab.

it never occurred to me to hover the mouse over the link to see the extension listed on the link had a different version number.

if it's not too much trouble i can offer to edit the page and correct the versions number so others don't have the same problem. in fact i tried to (it's a wiki page, isn't it?), but couldn't change it, guess i have to get some permission or different login...

thanks!
(06-01-2013, 06:14 AM)raphael_airnmusic Wrote: [ -> ]it never occurred to me to hover the mouse over the link to see the extension listed on the link had a different version number.

if it's not too much trouble i can offer to edit the page and correct the versions number so others don't have the same problem. in fact i tried to (it's a wiki page, isn't it?), but couldn't change it, guess i have to get some permission or different login...

All I understand is that you want to make some changes to the add-ons site to change versions? The versions used internally are not stored in the wiki page but within the add-on files hosted there. To change these versions (if there are add-ons not updated yet) you'd need to download the files and re-upload them with a different version number and update the wiki page. Not sure about the privileges there, GeekShadow manages the wiki, and I think he set some pages to read-only for regular users due to spamming or something.
(06-01-2013, 11:16 AM)rsjtdrjgfuzkfg Wrote: [ -> ]All I understand is that you want to make some changes to the add-ons site to change versions? The versions used internally are not stored in the wiki page but within the add-on files hosted there. To change these versions (if there are add-ons not updated yet) you'd need to download the files and re-upload them with a different version number and update the wiki page. Not sure about the privileges there, GeekShadow manages the wiki, and I think he set some pages to read-only for regular users due to spamming or something.

sorry for the late reply, didn't see you answer already on the same day.

so, the add-on links are pointing to the correct versions, but the version listed on the page have the old version number. for example, last.fm addon says version 1.0.7.2223, but when you hover the cursor over the download link, it is pointing to a newer version, that is 1.0.10.2432.

i said i could change the version number (text only) to reflect the actual version number offered on the download links, if someone giver me permission to do that.
Is your wikiaccount on the same username as your forumaccount?
GeekShadow: could you please give him editing rights?
Done.
@raphael_airnmusic
You should have received a mail with user/password.

I'm doing limitation because of spam on the wiki.